{
  cluster.modules = [
    ({
      users.users.emv.extraGroups = [
        "podman"
      ];
    })
  ];
  sucrose.modules = [
    (
      { pkgs, ... }:
      {
        environment.systemPackages = [ pkgs.podman-compose ];
        virtualisation = {
          containers.enable = true;
          podman = {
            enable = true;
            dockerCompat = false;
            defaultNetwork.settings.dns_enabled = true;
          };
          oci-containers.backend = "podman";
        };
      }
    )
  ];
}
