{
  personal.home_modules = [
    (
      { pkgs, ... }:
      {
        programs.texlive = {
          enable = true;
          packageSet = pkgs.texlive;
          extraPackages = tpkgs: {
            inherit (tpkgs)
              scheme-medium
              dvisvgm
              dvipng # in-place output
              wrapfig
              amsmath
              ulem
              hyperref
              capt-of
              etoolbox # various for the default config from emacs
              latex-uni8
              mlmodern # annoying font stuff
              asymptote
              systeme
              xstring
              ;
            #(setq org-latex-compiler "pdflatex")
            #(setq org-preview-latex-default-process "dvisvgm")
          };
        };
      }
    )
  ];
}
